# Method: users.sshPublicKeys.get

- [HTTP request](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users.sshPublicKeys/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users.sshPublicKeys/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users.sshPublicKeys/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users.sshPublicKeys/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users.sshPublicKeys/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/compute/docs/oslogin/rest/v1/users.sshPublicKeys/get#try-it)

Retrieves an SSH public key.

### HTTP request

`GET https://oslogin.googleapis.com/v1/{name=users/*/sshPublicKeys/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The fingerprint of the public key to retrieve. Public keys are identified by their SHA-256 fingerprint. The fingerprint of the public key is in format `users/{user}/sshPublicKeys/{fingerprint}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/compute/docs/oslogin/rest/Shared.Types/SshPublicKey`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/compute`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).